Page MenuHomePhabricator

Login credentials are not kept between runs
Closed, ResolvedPublic

Description

I run "pwb.py login -all", and everything seems ok:

pwb.py login -all

Password for user MalafayaBot on wiktionary:el (no characters will be shown)
Logging in to wiktionary:el as MalafayaBot
Logged in on wiktionary:el as MalafayaBot.
Logged in on wiktionary:en as MalafayaBot.
Logged in on wiktionary:zh as MalafayaBot.
Logged in on wiktionary:ca as MalafayaBot.
Logged in on wiktionary:vo as MalafayaBot.
Logged in on wiktionary:io as MalafayaBot.
Logged in on wiktionary:ia as MalafayaBot.
Logged in on wiktionary:gl as MalafayaBot.
Logged in on wiktionary:es as MalafayaBot.
Logged in on wiktionary:az as MalafayaBot.
Logged in on wiktionary:nl as MalafayaBot.
Logged in on wiktionary:nn as MalafayaBot.
Logged in on wiktionary:no as MalafayaBot.
Logged in on wiktionary:tr as MalafayaBot.
Logged in on wiktionary:li as MalafayaBot.
Logged in on wiktionary:lt as MalafayaBot.
Logged in on wiktionary:vec as MalafayaBot.
Logged in on wiktionary:ro as MalafayaBot.
Logged in on wiktionary:is as MalafayaBot.
Logged in on wiktionary:fr as MalafayaBot.
Logged in on wiktionary:bg as MalafayaBot.
Logged in on wiktionary:uk as MalafayaBot.
Logged in on wiktionary:de as MalafayaBot.
Logged in on wiktionary:mg as MalafayaBot.
Logged in on wiktionary:da as MalafayaBot.
Logged in on wiktionary:br as MalafayaBot.
Logged in on wiktionary:bs as MalafayaBot.
Logged in on wiktionary:fi as MalafayaBot.
Logged in on wiktionary:hu as MalafayaBot.
Logged in on wiktionary:ka as MalafayaBot.
Logged in on wiktionary:pt as MalafayaBot.
Logged in on wiktionary:oc as MalafayaBot.
Logged in on wiktionary:sv as MalafayaBot.
Logged in on wiktionary:ku as MalafayaBot.
Logged in on wiktionary:nds as MalafayaBot.

First odd thing: file pywikibot.lwp has been changed but it's contents is simply one line:
#LWP-Cookies-2.0

I then run interwiki for example:

pwb.py interwiki pt:Categoria:Arquitetura

Password for user MalafayaBot on wiktionary:pt (no characters will be shown):
Logging in to wiktionary:pt as MalafayaBot
Retrieving 1 pages from wiktionary:pt.
[[pt:Categoria:Arquitetura]]: [[pt:Categoria:Arquitetura]] gives new interwiki [
[ast:Categoría:Arquitectura]]
[[pt:Categoria:Arquitetura]]: [[pt:Categoria:Arquitetura]] gives new interwiki [
[az:Kateqoriya:Memarlıq]]
[......]

Again, it asked for credentials. For each new run, I have to enter credentials.

If you intend to reproduce this issue, it's probably best to delete your pywikibot.lwp file first.

Details

Related Gerrit Patches:

Event Timeline

Malafaya created this task.Aug 26 2015, 4:39 PM
Malafaya raised the priority of this task from to Medium.
Malafaya updated the task description. (Show Details)
Malafaya added a subscriber: Malafaya.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptAug 26 2015, 4:39 PM

What's the output of pwb.py version?

What's the output of pwb.py version?

Bisection indicates this recession was introduced in 8624ddec140253ec46e0f39c1f5bdb05184840ff (Add OAuth support for Pywikibot).

Change 234016 had a related patch set uploaded (by Merlijn van Deen):
Revert "Add OAuth support for Pywikibot"

https://gerrit.wikimedia.org/r/234016

Change 234017 had a related patch set uploaded (by Merlijn van Deen):
Partially revert "Add OAuth support for Pywikibot"

https://gerrit.wikimedia.org/r/234017

jayvdb added a subscriber: jayvdb.

Change 234170 had a related patch set uploaded (by John Vandenberg):
Set Session.cookies

https://gerrit.wikimedia.org/r/234170

Output of pwb.py version, if still relevant (did not update to latest version as of now):

pwb.py version

Pywikibot: [https] r-pywikibot-core.git (900490b, g6261, 2015/08/26, 11:32:07,
UTDATED)
Release version: 2.0b3
requests version: 2.7.0

cacerts: C:\Program Files\Python\lib\site-packages\requests\cacert.pem
  certificate test: ok

Python: 2.7.10 (default, May 23 2015, 09:40:32) [MSC v.1500 32 bit (Intel)]
PYWIKIBOT2_DIR: Not set
PYWIKIBOT2_DIR_PWB: D:\Work\pywikipedia
PYWIKIBOT2_NO_USER_CONFIG: Not set
Config base dir: D:\Work\pywikipedia
Usernames for family "wiktionary":

el: MalafayaBot (no sysop configured)
en: MalafayaBot (no sysop configured)
zh: MalafayaBot (no sysop configured)
ca: MalafayaBot (no sysop configured)
vo: MalafayaBot (no sysop configured)
io: MalafayaBot (no sysop configured)
ia: MalafayaBot (no sysop configured)
gl: MalafayaBot (no sysop configured)
es: MalafayaBot (no sysop configured)
az: MalafayaBot (no sysop configured)
nl: MalafayaBot (no sysop configured)
nn: MalafayaBot (no sysop configured)
no: MalafayaBot (no sysop configured)
tr: MalafayaBot (no sysop configured)
li: MalafayaBot (no sysop configured)
lt: MalafayaBot (no sysop configured)
vec: MalafayaBot (no sysop configured)
ro: MalafayaBot (no sysop configured)
is: MalafayaBot (no sysop configured)
fr: MalafayaBot (no sysop configured)
bg: MalafayaBot (no sysop configured)
uk: MalafayaBot (no sysop configured)
de: MalafayaBot (no sysop configured)
mg: MalafayaBot (no sysop configured)
da: MalafayaBot (no sysop configured)
br: MalafayaBot (no sysop configured)
bs: MalafayaBot (no sysop configured)
fi: MalafayaBot (no sysop configured)
hu: MalafayaBot (no sysop configured)
ka: MalafayaBot (no sysop configured)
pt: MalafayaBot (no sysop configured)
oc: MalafayaBot (no sysop configured)
sv: MalafayaBot (no sysop configured)
ku: MalafayaBot (no sysop configured)
nds: MalafayaBot (no sysop configured)

Change 234017 abandoned by XZise:
Partially revert "Add OAuth support for Pywikibot"

Reason:
Revert is not necessary anymore as I25119aaf fixed the issue.

https://gerrit.wikimedia.org/r/234017

Change 234016 abandoned by XZise:
Revert "Add OAuth support for Pywikibot"

Reason:
Revert is not necessary anymore as I25119aaf fixed the issue.

https://gerrit.wikimedia.org/r/234016

Change 234170 merged by jenkins-bot:
Set Session.cookies

https://gerrit.wikimedia.org/r/234170

jayvdb closed this task as Resolved.Aug 27 2015, 2:31 AM
jayvdb claimed this task.